Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ExecutableProcess

    java.lang.Object
      org.hyperic.hq.product.Collector
          org.hyperic.hq.product.ExecutableProcess

All Implemented Interfaces:
  Runnable

    public class ExecutableProcess

extends Collector

Field Summary
`static String` | `DOMAIN`
`static String` | `PROP_ARGS`
`static String` | `PROP_EXEC`
`static String` | `PROP_FILE`

Fields inherited from class org.hyperic.hq.product.Collector
`ALLOW_REMOVE, ATTR_RESPONSE_CODE, ATTR_RESPONSE_TIME, DEFAULT_FTP_PORT, DEFAULT_HOSTNAME, DEFAULT_HTTP_PORT, DEFAULT_HTTPS_PORT, GUID, LISTEN_PORTS, MAC, METHOD_GET, METHOD_HEAD, PROP_FOLLOW, PROP_HOSTNAME, PROP_METHOD, PROP_PASSWORD, PROP_PATH, PROP_PORT, PROP_PROTOCOL, PROP_REALM, PROP_SSL, PROP_SSL_PROTOCOL, PROP_SSLPORT, PROP_TIMEOUT, PROP_USERNAME, PROTOCOL_FTP, PROTOCOL_HTTP, PROTOCOL_HTTPS, PROTOCOL_SOCKET, REMOVABLE`

Constructor Summary
`ExecutableProcess()`

Method Summary
`void` | `collect()`
`protected String` | `getArgsProperty()`
`protected double` | `getAvailValue(int rc)`
`protected int` | `getDefaultTimeout()`
`protected String` | `getExecProperty()`
`protected String` | `getFileProperty()`
`protected int` | `getLogLevel(int rc)`
`protected void` | `init()`
`boolean` | `isPoolable()`
`String` | `toString()`

Methods inherited from class org.hyperic.hq.product.Collector
`addValues, endTime, equals, getCollectorProperty, getCollectorProperty, getCollectorsToExecute, getIntegerProperty, getLogLevel, getMessage, getPlugin, getProperties, getPropTimeout, getResult, getSource, getTimeout, getTimeoutMillis, getValue, getValue, getValues, hashCode, init, main, parseResults, run, setAvailability, setAvailability, setDebugMessage, setDebugMessage, setErrorMessage, setErrorMessage, setInfoMessage, setInfoMessage, setInterval, setLogLevel, setMessage, setMessage, setProperties, setResponseCode, setResponseTime, setSource, setValue, setValue, setWarningMessage, setWarningMessage, startTime`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

### PROP_EXEC

    public static final String PROP_EXEC

See Also:
  Constant Field Values

### PROP_FILE

    public static final String PROP_FILE

See Also:
  Constant Field Values

### PROP_ARGS

    public static final String PROP_ARGS

See Also:
  Constant Field Values

Constructor Detail

### ExecutableProcess

    public ExecutableProcess()

Method Detail

### getDefaultTimeout

    protected int getDefaultTimeout()

  Overrides:
    `getDefaultTimeout` in class `Collector`

### getLogLevel

    protected int getLogLevel(int rc)

### getAvailValue

    protected double getAvailValue(int rc)

### getExecProperty

    protected String getExecProperty()

### getFileProperty

    protected String getFileProperty()

### getArgsProperty

    protected String getArgsProperty()

### init

    protected void init()

  Overrides:
    `init` in class `Collector`

### isPoolable

    public boolean isPoolable()

  Overrides:
    `isPoolable` in class `Collector`

### collect

    public void collect()

  Specified by:
    `collect` in class `Collector`

### toString

    public String toString()

  Overrides:
    `toString` in class `Collector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.